<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>StatisticsController</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StatisticsController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StatisticsController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controller</a></div>
<h2 title="Class StatisticsController" class="title">Class StatisticsController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Controller.html" title="class in controller">controller.Controller</a></li>
<li>
<ul class="inheritance">
<li>controller.StatisticsController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">StatisticsController</span>
extends <a href="Controller.html" title="class in controller">Controller</a></pre>
<div class="block">Controller of the statistics of the application</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ASSISTANCE_ANNUAL">ACTION_ASSISTANCE_ANNUAL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ASSISTANCE_BY_DATE">ACTION_ASSISTANCE_BY_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ASSISTANCE_MONTHLY">ACTION_ASSISTANCE_MONTHLY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ATTRACTION_ANNUAL">ACTION_ATTRACTION_ANNUAL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ATTRACTION_BY_DATE">ACTION_ATTRACTION_BY_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ATTRACTION_MONTHLY">ACTION_ATTRACTION_MONTHLY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#assistance">assistance</a></span></code></th>
<td class="colLast">
<div class="block">Assistance statistics</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ANNUAL">MENU_TEXT_ANNUAL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ASSISTANCE">MENU_TEXT_ASSISTANCE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ATTRACTION">MENU_TEXT_ATTRACTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_BY_DATE">MENU_TEXT_BY_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CAPTION">MENU_TEXT_CAPTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_MONTHLY">MENU_TEXT_MONTHLY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rideAttraction">rideAttraction</a></span></code></th>
<td class="colLast">
<div class="block">Ride Attraction statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">StatisticsController</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#accumulateTicket(ticket.Ticket)">accumulateTicket</a></span>&#8203;(<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Accumulate quantities and amounts into assistance statistic</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAssistanceAnnual()">actionAssistanceAnnual</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays attendance data for one year</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAssistanceByDate()">actionAssistanceByDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays attendance data between a period of dates</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAssistanceMonth()">actionAssistanceMonth</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays attendance data for one month</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRideAttractionAnnual()">actionRideAttractionAnnual</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data for one year</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRideAttractionByDate()">actionRideAttractionByDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data between a period of dates</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRideAttractionMonth()">actionRideAttractionMonth</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data for one month</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideAdultToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                        <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                        <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                        int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Add the quantity of Adult to ride attraction count</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideChildrenToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                           <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                           <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                           int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Add the quantity of Children to ride attraction count</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#desacumulateTicket(ticket.Ticket)">desacumulateTicket</a></span>&#8203;(<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Desacumulate quantities and amounts into assistance statistic</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code><a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.controller.Controller">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controller.<a href="Controller.html" title="class in controller">Controller</a></h3>
<code><a href="Controller.html#execMenu()">execMenu</a>, <a href="Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ACTION_ATTRACTION_ANNUAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ATTRACTION_ANNUAL</h4>
<pre>private static final&nbsp;int ACTION_ATTRACTION_ANNUAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ATTRACTION_ANNUAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ATTRACTION_BY_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ATTRACTION_BY_DATE</h4>
<pre>private static final&nbsp;int ACTION_ATTRACTION_BY_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ATTRACTION_BY_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ATTRACTION_MONTHLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ATTRACTION_MONTHLY</h4>
<pre>private static final&nbsp;int ACTION_ATTRACTION_MONTHLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ATTRACTION_MONTHLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ASSISTANCE_ANNUAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ASSISTANCE_ANNUAL</h4>
<pre>private static final&nbsp;int ACTION_ASSISTANCE_ANNUAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ASSISTANCE_ANNUAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ASSISTANCE_BY_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ASSISTANCE_BY_DATE</h4>
<pre>private static final&nbsp;int ACTION_ASSISTANCE_BY_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ASSISTANCE_BY_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ASSISTANCE_MONTHLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ASSISTANCE_MONTHLY</h4>
<pre>private static final&nbsp;int ACTION_ASSISTANCE_MONTHLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.ACTION_ASSISTANCE_MONTHLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CAPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CAPTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CAPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_CAPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ANNUAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ANNUAL</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ANNUAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_ANNUAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ASSISTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ASSISTANCE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ASSISTANCE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_ASSISTANCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ATTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ATTRACTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ATTRACTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_ATTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_BY_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_BY_DATE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_BY_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_BY_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_MONTHLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_MONTHLY</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_MONTHLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.StatisticsController.MENU_TEXT_MONTHLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="assistance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assistance</h4>
<pre>private final&nbsp;<a href="../statistics/AssistanceStatistics.html" title="class in statistics">AssistanceStatistics</a> assistance</pre>
<div class="block">Assistance statistics</div>
</li>
</ul>
<a id="rideAttraction">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rideAttraction</h4>
<pre>private final&nbsp;<a href="../statistics/RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a> rideAttraction</pre>
<div class="block">Ride Attraction statistics</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StatisticsController</h4>
<pre>public&nbsp;StatisticsController()</pre>
<div class="block">Constructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="accumulateTicket(ticket.Ticket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulateTicket</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;accumulateTicket&#8203;(<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</pre>
<div class="block">Accumulate quantities and amounts into assistance statistic</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
</dl>
</li>
</ul>
<a id="actionRideAttractionAnnual()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRideAttractionAnnual</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRideAttractionAnnual()</pre>
<div class="block">Displays ride attraction data for one year</div>
</li>
</ul>
<a id="actionRideAttractionByDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRideAttractionByDate</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRideAttractionByDate()</pre>
<div class="block">Displays ride attraction data between a period of dates</div>
</li>
</ul>
<a id="actionRideAttractionMonth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRideAttractionMonth</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRideAttractionMonth()</pre>
<div class="block">Displays ride attraction data for one month</div>
</li>
</ul>
<a id="actionAssistanceAnnual()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAssistanceAnnual</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAssistanceAnnual()</pre>
<div class="block">Displays attendance data for one year</div>
</li>
</ul>
<a id="actionAssistanceByDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAssistanceByDate</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAssistanceByDate()</pre>
<div class="block">Displays attendance data between a period of dates</div>
</li>
</ul>
<a id="actionAssistanceMonth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAssistanceMonth</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAssistanceMonth()</pre>
<div class="block">Displays attendance data for one month</div>
</li>
</ul>
<a id="addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRideAdultToAttraction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addRideAdultToAttraction&#8203;(java.time.LocalDate&nbsp;date,
                                     <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                                     <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                                     int&nbsp;quantity)</pre>
<div class="block">Add the quantity of Adult to ride attraction count</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>status</code> - </dd>
<dd><code>quantity</code> - </dd>
</dl>
</li>
</ul>
<a id="addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRideChildrenToAttraction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addRideChildrenToAttraction&#8203;(java.time.LocalDate&nbsp;date,
                                        <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                                        <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                                        int&nbsp;quantity)</pre>
<div class="block">Add the quantity of Children to ride attraction count</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>status</code> - </dd>
<dd><code>quantity</code> - </dd>
</dl>
</li>
</ul>
<a id="desacumulateTicket(ticket.Ticket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>desacumulateTicket</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;desacumulateTicket&#8203;(<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</pre>
<div class="block">Desacumulate quantities and amounts into assistance statistic</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
</dl>
</li>
</ul>
<a id="execOption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOption</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;execOption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Execute the menu option indicated.
 Menu continue until exit option execute or false return</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#execOption(tools.MenuItem)">execOption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getMenu()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMenu</h4>
<pre class="methodSignature">public&nbsp;<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;getMenu()</pre>
<div class="block">Gets the list of options for the preparation of the menu.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#getMenu()">getMenu</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MenuItem[]</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StatisticsController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
